Bug 538411 - system-config-display error in F12
system-config-display error in F12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-18 09:00 EST by Guilbaud Cedrik
Modified: 2010-12-03 22:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 22:13:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guilbaud Cedrik 2009-11-18 09:00:31 EST
Description of problem:system-config-display error in F12


Version-Release number of selected component (if applicable):
fedora 12 (Constantine), uname -r : 2.6.31.5-127.fc12.x86_64


How reproducible:
Everytime


Steps to Reproduce:
1.Install "systel-config-display" via "yum" : yum install system-config-display
2.Launch "system-config-display" as root
3.
  
Actual results:
# system-config-display
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 378, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 640, in __init__
    if len(self.xconfig.layout[0].adjacencies) > 1:
IndexError: index out-of-bounds


Expected results:


Additional info: 
I want to use "system-config-display" in order to solve my problem of screen resolution which is 1440x900 native. With DVD installation, F12 do not accept my screen and force me to use basic video driver with 1024x768 resolution. The same problem as when F11 was released.
This bug (bug 506774) was closed for F11.
My laptop is a Dell Latitude E5500.
Comment 1 Andre Robatino 2009-11-18 10:23:14 EST
Duplicate of bug #506432, bug #506774, bug #508056, bug #524434, and bug #531388.  Unfortunately there has been no response from the maintainer on any of these.
Comment 2 leigh scott 2009-12-18 09:47:30 EST
You are getting this error because xorg.conf already exists.


Try

su
mv /etc/X11/xorg.conf /etc/X11/xorg.conf.test


now try system-config-display as non-root


/usr/bin/system-config-display
Comment 3 Andre Robatino 2009-12-18 09:59:20 EST
Interesting, that works for me (s-c-d runs either as root or non-root).  Installing the proprietary Nvidia driver creates xorg.conf, which explains why that's when the problem starts for me.
Comment 4 the.hw.group 2010-02-03 19:30:15 EST
I am also affected by this bug on a IBM Lenovo Thinkpad w700ds. Fedora 12 64bit installed. Today (02.03.2010) ran yum update, rebooted, tried to adjust my display, and got the following:

# system-config-display 
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 378, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 640, in __init__
    if len(self.xconfig.layout[0].adjacencies) > 1:
IndexError: index out-of-bounds



Linux localhost 2.6.31.12-174.2.3.fc12.x86_64 #1 SMP Mon Jan 18 19:52:07 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux
Comment 5 xunilarodef 2010-06-11 15:17:39 EDT
  This same failure persists in Fedora 13.

[root@who ~]# rpm -q --whatprovides /usr/bin/system-config-display
system-config-display-2.2-1.fc12.i686
[root@who ~]# uname -a
Linux 209 2.6.33.5-112.fc13.i686 #1 SMP Thu May 27 03:11:56 UTC 2010 i686 i686 i386 GNU/Linux
[root@who ~]# 

  It used to be (i.e. a few releases ago) that system-config-display:
- started and opened its initial dialog window with a much shorter delay, and
- did not fail silently (if started via System, Administration, Display)
or with the error shown above (if started from a terminal window) even if
the file /etc/X11/xorg.conf already existed.  Have we gained anything in
return for these regressions?
Comment 6 Bug Zapper 2010-11-04 02:12:38 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 xunilarodef 2010-11-25 08:21:31 EST
(In reply to comment #5)
At some point in time, this failure was resolved on at least one system running Fedora 13, via a new kernel.  Comparing the failure report above:

> [root@who ~]# rpm -q --whatprovides /usr/bin/system-config-display
> system-config-display-2.2-1.fc12.i686
> [root@who ~]# uname -a
> Linux 209 2.6.33.5-112.fc13.i686 #1 SMP Thu May 27 03:11:56 UTC 2010 i686 i686
> i386 GNU/Linux
> [root@who ~]# 

with a system where system-config-display can be invoked without traceback even with a pre-existing xorg.conf:

[u@who ~]$ rpm -q --whatprovides /usr/bin/system-config-display
system-config-display-2.2-1.fc12.i686
[u@who ~]$ uname -a
Linux who 2.6.34.7-61.fc13.i686 #1 SMP Tue Oct 19 04:42:47 UTC 2010 i686 i686 i386 GNU/Linux
[u@who ~]$ 

one can see the endpoints of a kernel patch bisection expedition, should one care to localize the cause and effect.




> 
>   It used to be (i.e. a few releases ago) that system-config-display:
> - started and opened its initial dialog window with a much shorter delay, and
> - did not fail silently (if started via System, Administration, Display)
> or with the error shown above (if started from a terminal window) even if
> the file /etc/X11/xorg.conf already existed.  Have we gained anything in
> return for these regressions?
Comment 8 Bug Zapper 2010-12-03 22:13:30 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.